Redmine activity log does not limit displayed entries (max issues, pagination)

2013-10-15 04:30 - Stephane Lapie

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Our organization just migrated all the data from another ticket system using the RESTful API, which means we have one day with

insane activity logs (+6000 tickets, +40000 activity log entries).

The problem is, the only option in Administration->Settings allows limiting the number of days for activity display, but not the limitation

of raw numbers to be displayed on one page : in this instance, even "1 day of activity" will generate a giant query that will eat all the

memory on the server.

It seems the Activity page does not have a pagination option ("Page X of Y", "Display N entries per page" ; as would be the case on

an Issues listing page).

Would it be possible to consider adding this feature to fix this problem?

Related issues:

Related to Redmine - Feature #19797: Limit by number of activity entries inst... New

History

#1 - 2013-10-15 08:02 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

A better option would be to update the issues timestamps (created_on) with their values in your previous system.

#2 - 2015-06-07 12:56 - Toshi MARUYAMA

- Related to Feature #19797: Limit by number of activity entries instead of number of days. added

#3 - 2016-07-13 13:30 - Stephane Evr

+1
